Summary: A set of system configuration and setup files.
Name: setup
Version: carmel
Release: 8
Copyright: public domain
Group: System Environment/Base
Source: setup-%{version}.tar.gz
Buildroot: /var/tmp/setup-root
BuildArchitectures: noarch

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n setup

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/var/log

tar cf - * |
(
  cd $RPM_BUILD_ROOT
  tar xvvf -
)

touch $RPM_BUILD_ROOT/var/log/lastlog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%config /etc/services
%config /etc/exports
%config /etc/host.conf
%config /etc/hosts.allow
%config /etc/hosts.deny
%config /etc/motd
%config /etc/printcap
%config /etc/profile
%config /etc/protocols
%config(missingok) %attr(0600,root,root) /etc/securetty
%config /etc/csh.cshrc
%dir /etc/profile.d
%verify(not md5 size mtime) /var/log/lastlog

%changelog
* Wed Aug 09 2000 Adrian Sun <asun@cobalt.com>
- added a no-privilege guest group

* Mon Jul 24 2000 Tim Hockin <thockin@cobalt.com>
- fix $PS1

* Fri Jul 07 2000 Tim Hockin <thockin@cobalt.com>
- add a default TERM to profile

* Fri Jun 16 2000 Patrick Bose <pbose@cobalt.com>
- rel 3, never mind. squid user added as part of squid rpm
- removing from here.

* Thu Jun 08 2000 Patrick Bose <pbose@cobalt.com>
- rel 2, add squid user and group

* Thu May 11 2000 Adrian Sun <asun@cobalt.com>
- add admin group here as well

* Mon May 1 2000 Duncan Laurie <duncan@cobalt.com>
- cleanup
- add user 'mail' to group 'daemon'

* Mon Aug 2 1999 Duncan Laurie <duncan@cobaltnet.com>
- put serial tty in /etc/securetty so root can log in on console

* Thu Jul 1 1999 Duncan Laurie <duncan@cobaltnet.com>
- add httpd user and group
